'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = withPersist;

var _reduxPersist = require('redux-persist');

var _reduxPersistTransformImmutable = require('redux-persist-transform-immutable');

var _reduxPersistTransformImmutable2 = _interopRequireDefault(_reduxPersistTransformImmutable);

var _storage = require('redux-persist/lib/storage');

var _storage2 = _interopRequireDefault(_storage);

var _react = require('redux-persist/lib/integration/react');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; } /* eslint-disable filenames/match-exported */
// https://www.npmjs.com/package/redux-persist

// https://github.com/rt2zz/redux-persist-transform-immutable


function withPersist(_ref) {
  var _ref$persistStorage = _ref.persistStorage,
      persistStorage = _ref$persistStorage === undefined ? _storage2.default : _ref$persistStorage,
      _ref$persistKey = _ref.persistKey,
      persistKey = _ref$persistKey === undefined ? 'persistRoot' : _ref$persistKey,
      _ref$persistConfig = _ref.persistConfig,
      persistConfig = _ref$persistConfig === undefined ? null : _ref$persistConfig,
      persistImmutableConfig = _ref.persistImmutableConfig,
      config = _objectWithoutProperties(_ref, ['persistStorage', 'persistKey', 'persistConfig', 'persistImmutableConfig']);

  return _extends({
    _enablePersist: true,
    _persistStore: _reduxPersist.persistStore,
    _persistCombineReducers: _reduxPersist.persistCombineReducers,
    _PersistGate: _react.PersistGate,
    _persistImmutableTransform: _reduxPersistTransformImmutable2.default,
    // allow dynamic config
    persistStorage: persistStorage,
    persistKey: persistKey,
    persistConfig: persistConfig,
    persistImmutableConfig: persistImmutableConfig
  }, config);
}
/* eslint-enable filenames/match-exported */

module.exports = exports['default'];
//# sourceMappingURL=index.js.map